aboutsummaryrefslogtreecommitdiff
path: root/sh/start-stop-daemon.sh
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2016-09-13 12:27:08 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2016-09-13 12:52:10 -0500
commit8a8032478a755f6e2ceaebc5425e61c6817df936 (patch)
tree9446bd9c58ebc819e118d971a3d2919fa3d06fc7 /sh/start-stop-daemon.sh
parentac53c9a658589456c678b6bfe674a66a3845e564 (diff)
Make use of name vs RC_SVCNAME consistent in supervisor scripts
This fixes #79.
Diffstat (limited to 'sh/start-stop-daemon.sh')
-rw-r--r--sh/start-stop-daemon.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/sh/start-stop-daemon.sh b/sh/start-stop-daemon.sh
index 65ee6603..6b679ac2 100644
--- a/sh/start-stop-daemon.sh
+++ b/sh/start-stop-daemon.sh
@@ -46,7 +46,7 @@ ssd_start()
${command_user+--user} $command_user \
$_background $start_stop_daemon_args \
-- $command_args $command_args_background
- if eend $? "Failed to start $RC_SVCNAME"; then
+ if eend $? "Failed to start ${name:-$RC_SVCNAME}"; then
service_set_value "command" "${command}"
[ -n "${chroot}" ] && service_set_value "chroot" "${chroot}"
[ -n "${pidfile}" ] && service_set_value "pidfile" "${pidfile}"
@@ -80,7 +80,7 @@ ssd_stop()
${pidfile:+--pidfile} $chroot$pidfile \
${stopsig:+--signal} $stopsig
- eend $? "Failed to stop $RC_SVCNAME"
+ eend $? "Failed to stop ${name:-$RC_SVCNAME}"
}
ssd_status()